MOUNT_9P(8) | System Manager's Manual | MOUNT_9P(8)

# NAME

mount_9p — mount a file server using the 9P resource sharing protocol

# SYNOPSIS

mount_9p | [-s] [-o mntopts] [-p port] [user@]host[:path] mount_point

# DESCRIPTION

The mount_9p program is used to mount a file hierarchy served with the Plan 9 file sharing protocol: 9P. After the file system is mounted, the files on the remote host will be accessed using the credentials of the user named user and whatever UID the user happens to have on the remote server. If path is supplied, it is used as the mount rootpath on the remote host. path must be an absolute path.

# SEE ALSO

puffs(3), puffs(4), mount(8)

# HISTORY

The mount_9p utility first appeared in NetBSD 5.0.

# CAVEATS

Permissions are not handled well.

Authentication support is missing.

Error code handling is missing.

Under construction.

July 8, 2007 | NetBSD 6.0